Subject: bug#64109: closed (Re: bug#64109: [PATCH 1/2] gnu: dpf-plugins: Update to 1.7.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 14 Sep 2023 21:07:02 +0000

Your bug report

#64109: [PATCH 1/2] gnu: dpf-plugins: Update to 1.7.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64109: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64109
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64109: [PATCH 1/2] gnu: dpf-plugins: Update to 1.7.
From: Ludovic Courtès <[email-masked]>
To: Sughosha <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Thu, 14 Sep 2023 23:05:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I applied the first patch (upgrade).

Sughosha <[email-masked]> skribis:

>>>From a74eb4c58d45d30450ba8b70e4faddee52b37f13 Mon Sep 17 00:00:00 2001
> Message-Id: <[email-masked]>
> In-Reply-To: <[email-masked]>
> References: <[email-masked]>
> From: Sughosha <[email-masked]>
> Date: Fri, 16 Jun 2023 16:39:21 +0200
> Subject: [PATCH 2/2] gnu: dpf-plugins: Add native-search-paths.
>
> * gnu/packages/music.scm (dpf-plugins): Add native-search-paths.

[...]

> @@ -6372,6 +6372,25 @@ (define-public dpf-plugins
>             liblo ; for dssi plugins
>             jack-1 ; for standalone applications
>             mesa))
> +    (native-search-paths
> +     (list (search-path-specification
> +            (variable "CLAP_PATH")
> +            (files '("lib/clap")))
> +           (search-path-specification
> +            (variable "DSSI_PATH")
> +            (files '("lib/dssi")))
> +           (search-path-specification
> +            (variable "LADSPA_PATH")
> +            (files '("lib/ladspa")))
> +           (search-path-specification
> +            (variable "LV2_PATH")
> +            (files '("lib/lv2")))
> +           (search-path-specification
> +            (variable "VST2_PATH")
> +            (files '("lib/vst")))
> +           (search-path-specification
> +            (variable "VST3_PATH")
> +            (files '("lib/vst3")))))

At first sight I think this is incorrect: search paths should be
specified in the patch that honors them.  See
<https://guix.gnu.org/manual/devel/en/html_node/Search-Paths.html>.

Am I right that ‘dnf-plugins’ does not honor them, but instead ‘ladspa’
(maybe?) does?  (I’m no expert here.)

Ludo’.

Subject: [PATCH 1/2] gnu: dpf-plugins: Update to 1.7.
From: Sughosha <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 16 Jun 2023 14:44:00 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

>From 23da89c3cbf2358ac70d387ebd714abe03b6758e Mon Sep 17 00:00:00 2001
Message-Id: <[email-masked]>
From: Sughosha <[email-masked]>
Date: Fri, 16 Jun 2023 16:22:57 +0200
Subject: [PATCH 1/2] gnu: dpf-plugins: Update to 1.7.

* gnu/packages/music.scm (dpf-plugins): Update to 1.7.
---
 gnu/packages/music.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 2e7eddafb0..c767da803f 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -6347,7 +6347,7 @@ (define-public mamba
 (define-public dpf-plugins
   (package
     (name "dpf-plugins")
-    (version "1.4")
+    (version "1.7")
     (source
      (origin
        (method git-fetch)
@@ -6357,7 +6357,7 @@ (define-public dpf-plugins
          (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "0y7qvpfm34g6f7d786c6c9043dlbg5c4h71l2s24dsc9m8i7x2ww"))))
+        (base32 "082f3f78x6k58j78mqr57qhw40f5s8fmcbkhl36nn3vbcsa07bzg"))))
     (build-system gnu-build-system)
     (arguments
      `(#:tests? #f                      ; no "check" target

base-commit: 8f0698dde351790e0bc9e905e4cd71902fd55d5f
-- 
2.40.1